Package org.apache.lucene.spatial3d.geom

## Interface PlanetObject

- All Superinterfaces:
    `SerializableObject`
  All Known Subinterfaces:
    `GeoAreaShape`, `GeoBBox`, `GeoBounds`, `GeoCircle`, `GeoDistanceShape`, `GeoMembershipShape`, `GeoPath`, `GeoPointShape`, `GeoPolygon`, `GeoShape`, `XYZSolid`
  All Known Implementing Classes:
    `BasePlanetObject`, `GeoBaseBounds`, `GeoBaseCompositeShape`, `GeoBaseDistanceShape`, `GeoBaseMembershipShape`, `GeoBaseShape`, `GeoCompositeAreaShape`, `GeoCompositeMembershipShape`, `GeoCompositePolygon`, `GeoDegenerateVerticalLine`

      public interface PlanetObject
      extends SerializableObject

  Relates all Geo3d shape with a specific `PlanetModel`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PlanetModel` | `getPlanetModel()` | Returns the `PlanetModel` provided when this shape was created.

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

      `write`

- - ### Method Detail

    - #### getPlanetModel

          PlanetModel getPlanetModel()

      Returns the `PlanetModel` provided when this shape was created.